%error = ForceRequiredAddOn("Weapon_Sword");
if(%error == $Error::AddOn_Disabled)
{
   SwordItem.uiName = "";
}
if(%error == $Error::AddOn_NotFound)
{
   error("ERROR: Weapon_SwordWand - required add-on Weapon_Sword not found");
   return;
}

datablock ProjectileData(swordWandProjectile)
{
   directDamage        = 1000;
   directDamageType  = $DamageType::Sword;
   radiusDamageType  = $DamageType::Sword;
   explosion           = adminWandExplosion;
   //particleEmitter     = as;

   muzzleVelocity      = 50;
   velInheritFactor    = 1;

   armingDelay         = 0;
   lifetime            = 100;
   fadeDelay           = 70;
   bounceElasticity    = 0;
   bounceFriction      = 0;
   isBallistic         = false;
   gravityMod = 0.0;

   hasLight    = false;
   lightRadius = 3.0;
   lightColor  = "0 0 0.5";

};

datablock ItemData(swordWandItem : swordItem)
{
	category = "Weapon";
	className = "Weapon";
	shapeFile = "base/data/shapes/wand.dts";
	mass = 1;
	density = 0.2;
	elasticity = 0.2;
	friction = 0.6;
	emap = true;
	uiName = "Destructo Wand";
	iconName = "base/client/ui/itemIcons/wand";
	docolorshift=true;
	colorShiftColor = "1 0 0 1.000";
	image = swordWandImage;
	canDrop = true;
};
datablock ShapeBaseImageData(swordWandImage : swordImage)
{
   shapeFile = "base/data/shapes/wand.dts";
   emap = false;
   mountPoint = 0;
   offset = "0 0 0";
   correctMuzzleVector = false;
   eyeOffset = "0.7 1.2 -0.25";
   className = "WeaponImage";
   item = swordWandItem;
   ammo = " ";
   projectile = swordWandProjectile;
   projectileType = Projectile;
   melee = true;
   doRetraction = false;
   armReady = true;
   docolorshift=true;
   colorShiftColor = "1 0 0 1.000";
	stateName[0]                    = "Activate";
	stateTimeoutValue[0]            = 0.1;
	stateTransitionOnTimeout[0]     = "Ready";

	stateName[1]                    = "Ready";
	stateTransitionOnTimeout[1]	= "Ready";
	stateTransitionOnTriggerDown[1] = "PreFire";
	stateAllowImageChange[1]        = true;
	stateEmitter[1]			= AdminWandEmitterA;
	stateEmitterTime[1]		= 0.2;

	stateName[2]			= "PreFire";
	stateScript[2]                  = "onPreFire";
	stateAllowImageChange[2]        = false;
	stateTimeoutValue[2]            = 0.1;
	stateTransitionOnTimeout[2]     = "Fire";

	stateName[3]                    = "Fire";
	stateTransitionOnTimeout[3]     = "CheckFire";
	stateTimeoutValue[3]            = 0.2;
	stateFire[3]                    = true;
	stateAllowImageChange[3]        = false;
	stateSequence[3]                = "Fire";
	stateScript[3]                  = "onFire";
	stateWaitForTimeout[3]		= true;
	stateEmitter[3]			= AdminWandEmitterB;
	stateEmitterTime[3]		= 0.4;

	stateName[4]			= "CheckFire";
	stateTransitionOnTriggerUp[4]	= "StopFire";
	stateTransitionOnTriggerDown[4]	= "Fire";

	stateName[5]                    = "StopFire";
	stateTransitionOnTimeout[5]     = "Ready";
	stateTimeoutValue[5]            = 0.2;
	stateAllowImageChange[5]        = false;
	stateWaitForTimeout[5]		= true;
	stateSequence[5]                = "StopFire";
	stateScript[5]                  = "onStopFire";
};

function swordWandImage::onPreFire(%this, %obj, %slot)
{
	%obj.playthread(2, armattack);
}

function swordWandImage::onStopFire(%this, %obj, %slot)
{	
	%obj.playthread(2, root);
}